Orishare
API reference
GET
/ai/rule_drafts

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 2048

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/rule_drafts"
{  "data": [    {      "id": "string",      "status": "succeeded",      "request": "string",      "rules": [        {          "name": "string",          "definition": null,          "explanation": "string",          "warnings": [            {              "code": "string",              "path": "string",              "message": "string"            }          ]        }      ],      "assumptions": [        "string"      ],      "questions": [        "string"      ],      "errors": [        {          "rule": 0,          "code": "string",          "path": "string",          "message": "string"        }      ],      "model": "string",      "prompt_hash": "string",      "usage": {        "input_tokens": 0,        "output_tokens": 0      },      "context": {        "chars": 0,        "truncated": [          "string"        ]      },      "rule_id": "string",      "rule_version_id": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/ai/rule_drafts

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ai/rule_drafts" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "request": "Award points for completing a lesson",    "max_rules": 5  }'
{  "id": "string",  "status": "succeeded",  "request": "string",  "rules": [    {      "name": "string",      "definition": null,      "explanation": "string",      "warnings": [        {          "code": "string",          "path": "string",          "message": "string"        }      ]    }  ],  "assumptions": [    "string"  ],  "questions": [    "string"  ],  "errors": [    {      "rule": 0,      "code": "string",      "path": "string",      "message": "string"    }  ],  "model": "string",  "prompt_hash": "string",  "usage": {    "input_tokens": 0,    "output_tokens": 0  },  "context": {    "chars": 0,    "truncated": [      "string"    ]  },  "rule_id": "string",  "rule_version_id": "string",  "created_at": "2019-08-24T14:15:22Z"}
GET
/ai/rule_drafts/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/rule_drafts/string"
{  "id": "string",  "status": "succeeded",  "request": "string",  "rules": [    {      "name": "string",      "definition": null,      "explanation": "string",      "warnings": [        {          "code": "string",          "path": "string",          "message": "string"        }      ]    }  ],  "assumptions": [    "string"  ],  "questions": [    "string"  ],  "errors": [    {      "rule": 0,      "code": "string",      "path": "string",      "message": "string"    }  ],  "model": "string",  "prompt_hash": "string",  "usage": {    "input_tokens": 0,    "output_tokens": 0  },  "context": {    "chars": 0,    "truncated": [      "string"    ]  },  "rule_id": "string",  "rule_version_id": "string",  "created_at": "2019-08-24T14:15:22Z"}